<?php
include APPLICATION_PATH . '/api/UtilisateurApi.php';

class IndexController extends Zend_Controller_Action
{

    public function init()
    {
         header('Access-Control-Allow-Origin: *');
    }

    public function indexAction()
    {
       
    }

    public function connexionAction()
    {
         $moduleUser = new ModuleUser();
         $moduleUser->connect();
         
       
    }

    public function deconnexionAction()
    {
            
        
        if ( isset($_SESSION["codeUser"])){
            //Module d'enregistrement des logs  
            $codeUser = $_SESSION["codeUser"];
            $UserDAO = new UtilisateurDAO();
            $user = $UserDAO->getUtilisateurByCode($codeUser);
            
            try {
                $f = new Fonction();
               
                $descr = "Deconnexion de l'utilisateur " . $user->getName() . ", dont le login est " . $user->getLogin() . "";
                
                $f->EnregistrerLog($descr, $user);
                
            } catch (Exception $exc) {

            }
            
            $_SESSION = array();
        }
        
        session_destroy();
        $this->_helper->redirector('index' , 'Index');
    }



}







